Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 175143 - sys_io_setup() can leak an mm reference on failure
Summary: sys_io_setup() can leak an mm reference on failure
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel
Version: 3.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jeff Moyer
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks: RHEL3U8CanFix
TreeView+ depends on / blocked
 
Reported: 2005-12-06 22:20 UTC by Zach Brown
Modified: 2007-11-30 22:07 UTC (History)
4 users (show)

Fixed In Version: RHSA-2006-0437
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-07-20 13:37:21 UTC
Target Upstream Version:


Attachments (Terms of Use)
drop mm ref in ioctx_alloc() exit path; against 2.4.21-32 (deleted)
2005-12-06 22:20 UTC, Zach Brown
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2006:0437 normal SHIPPED_LIVE Important: Updated kernel packages for Red Hat Enterprise Linux 3 Update 8 2006-07-20 13:11:00 UTC

Description Zach Brown 2005-12-06 22:20:34 UTC
sys_io_setup() can leak an mm_context reference in a failure path.  This was
found when trying to figure out why shared mem segment attachments weren't being
torn down after all the tasks that attached them had exited.  A patch that drops
the reference is attached and similar code is found in the equivalent 2.6
failure path.

Comment 1 Zach Brown 2005-12-06 22:20:35 UTC
Created attachment 121948 [details]
drop mm ref in ioctx_alloc() exit path; against 2.4.21-32

Comment 2 Jeff Moyer 2005-12-06 23:55:52 UTC
Good catch.  Would I be correct to assume that you are going to post the
upstream version of this patch (for 2.6)?

I'll try to cook up a reproducer for this.

Thanks,
Jeff

Comment 3 Zach Brown 2005-12-07 15:25:59 UTC
> Would I be correct to assume that you are going to post the
> upstream version of this patch (for 2.6)?

You would have been correct to assume that, yeah, but 2.6 already has the fix :)

Comment 5 Ernie Petrides 2005-12-09 01:19:39 UTC
*** Bug 172809 has been marked as a duplicate of this bug. ***

Comment 7 Jeff Moyer 2005-12-12 17:48:22 UTC
The patch has been posted for internal review.


Comment 15 Ernie Petrides 2006-02-16 00:49:20 UTC
A fix for this problem has just been committed to the RHEL3 U8
patch pool this evening (in kernel version 2.4.21-40.1.EL).


Comment 20 Red Hat Bugzilla 2006-07-20 13:37:22 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2006-0437.html



Note You need to log in before you can comment on or make changes to this bug.